Package org.freeplane.api

# Interface Font

All Superinterfaces:
  `FontRO`

All Known Subinterfaces:
  `Proxy.Font`

public interface Font extends FontRO
Node's font: `node.style.font` - read-write.

## Method Summary

Modifier and Type
Method
Description
`void`
`resetBold()`
`void`
`resetItalic()`
`void`
`resetName()`
`void`
`resetSize()`
`void`
`resetStrikedThrough()`
Deprecated.
`void`
`resetStrikethrough()`
`void`
`setBold(boolean bold)`
`void`
`setItalic(boolean italic)`
`void`
`setName(String name)`
`void`
`setSize(int size)`
`void`
`setStrikedThrough(boolean strikedThrough)`
Deprecated.
`void`
`setStrikethrough(boolean strikethrough)`
`void`
`setUnderline(boolean underline)`

### Methods inherited from interface org.freeplane.api.FontRO

`getName, getSize, isBold, isBoldSet, isItalic, isItalicSet, isNameSet, isSizeSet, isStrikedThrough, isStrikedThroughSet, isStrikethrough, isStrikethroughSet, isUnderline, isUnderlineSet`

## Method Details

### resetBold

void resetBold()

### resetItalic

void resetItalic()

### resetStrikedThrough

@Deprecated void resetStrikedThrough()
Deprecated.

### resetStrikethrough

void resetStrikethrough()

### resetName

void resetName()

### resetSize

void resetSize()

### setBold

void setBold(boolean bold)

### setItalic

void setItalic(boolean italic)

### setStrikedThrough

@Deprecated void setStrikedThrough(boolean strikedThrough)
Deprecated.

### setStrikethrough

void setStrikethrough(boolean strikethrough)

### setUnderline

void setUnderline(boolean underline)

### setName

void setName(String name)

### setSize

void setSize(int size)